Bug 36574 - [FORMATTING] Can't make default Writer bullet types locale dependent (french bullets / dash bullets)
Summary: [FORMATTING] Can't make default Writer bullet types locale dependent (french ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2011-04-25 03:18 UTC by Elie Roux
Modified: 2017-04-09 15:44 UTC (History)
13 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Elie Roux 2011-04-25 03:18:18 UTC
There is no way to change the default bullet type in LO Writer.

Also it's quite difficult to get the french bullet type (which are a dash), you have to hack in the last "option" tab.

For me there are several things to do:
  - making it easy to select french bullet type in the first "bullet" tab
  - make a "Standard" style in the bullet tab of the style selector that one can modify
  - make the french bullet type the default when the text is in french

This bug (the third point actually) was reported in 2002 on the OpenOffice bugzilla (http://openoffice.org/bugzilla/show_bug.cgi?id=9437) and is still open, this is for me one of the major bugs in LibreOffice, and it would be a great relief to see it fixed!

If I can help in any way to specify the feature/fix more precisely (as the second and third point may ne get along together simply) please let me know, I'm definitely ready to help!

Thank you in advance,
-- 
Elie
Comment 1 Rainer Bielefeld Retired 2011-04-25 03:59:23 UTC
As reporter states this one is a very very old Feature request, I can't see that this can be something like a 3.4 blocker. Currently there isn't even an idea how improvement should look. So I remove this one from "Blocks: 35673" 

Same roots as
"Bug 35218 - Support Greek Numbering Style for Lists"?
Comment 2 Elie Roux 2011-08-14 05:38:29 UTC
(In reply to comment #1)
> As reporter states this one is a very very old Feature request, I can't see
> that this can be something like a 3.4 blocker. Currently there isn't even an
> idea how improvement should look. So I remove this one from "Blocks: 35673" 
> 
> Same roots as
> "Bug 35218 - Support Greek Numbering Style for Lists"?

How should we proceed for further informations? If I take back the points mentionned in my first report :
  - making it easy to select french bullet type in the first "bullet" tab
   * select a list in writer
   * right click, click on "Numbering/Bullets"
   * go in the "Bullets" tab
   * there should appear some french bullets that can be selected like other bullets (french bullets are a en dash followed by a space, for any level)

  - make a "Standard" style in the bullet tab of the style selector that one
can modify
    * select a list in the writer
    * press F11
    * go in the last tab : "List Styles"
    * there should appear a "Standard" style that can be edited like any other, and once you've modified the Standard style, when you click on Bullets On/Off, the style used for the bullets is the "Standard" style

  - make the french bullet type the default when the text is in french
    * press F11
    * in the last tab "List Styles"
    * there should appear a "French Lists" in the styles
    * tools->Language->For all Text->French (France)
    * now when a list is created, it is not created with the "Standard" style but with the "French Lists" style
    * same behaviour for a specific zone of text which is is French
Comment 3 Björn Michaelsen 2011-12-23 12:06:21 UTC Comment hidden (obsolete)
Comment 4 Elie Roux 2012-01-06 01:58:25 UTC
Hello,

In LO3.5, List2 is very close to a french list, thank you! Also, when we choose a list, the choice is remembered, it's great!

To close the bug there are two things that are needed:
 - modify List2 (or create List6?) so that it is really a French list :
       - same charater
       - numbering followed by Tab stop at 1.27cm
       - aligned at 0.64cm
       - indent at 1.27cm
 - adding the possibility to choose a list type by default: when I right click on the different list types, it would help to have "choose as default" in the menu.

Thank you!
-- 
Elie
Comment 5 Rainer Bielefeld Retired 2012-01-06 03:27:42 UTC
@Elie Roux:
<http://wiki.documentfoundation.org/BugReport_Details#Version>

@Cédric:
Your area? Or may be András'?
Comment 6 miker169 2012-08-09 10:46:32 UTC
I would like to ask that rather than set a default list type per document or per user, if it would be possible to set a default list type per paragraph style.

I would propose a change to the "Outline and Numbering" tab of the Paragraph Style dialog as follows:

* New section "List style defaults"

- Bullet default (this is the list style applied when the "Bullets on/off" toolbar button is pressed);

- Numbering default (this is the list style applied when the "Numbering on/off" toolbar button is pressed).

For example I could configure Text Body to use List 1 when the "Bullets on/off" button is pressed and Numbering 1 when the "Numbering on/off" button is pressed, but Table Contents to use List 2 and Numbering 2.

Note: these styles would only be applied when selecting Bullets or Numbering from the toolbar
Comment 7 Elie Roux 2012-09-11 08:38:33 UTC
The idea in comment 6 seems very good, though it would still be good to have a french list looking like a french list in TeX (see the dimensions given in comment 4).

Thank you,
-- 
Elie
Comment 8 Elgo 2013-03-10 18:31:43 UTC
This bug still hasn’t been corrected yet, even though it’s my major problem with LO. 
Everytime I press Shift+F12 to enable bullets, which is quite often, I must click on "Numbering/Bullets", go to the "Options" tab, select levels 1 to 10 and select the dash. The configuration doesn’t even get saved in the same document, which means that if I make a new list 10 lines later, I must redo it all along !

There should be, in that menu, a "Set as default" key.
Comment 9 Rainer Bielefeld Retired 2013-03-10 18:36:35 UTC
Back to list due to facts.

@Sophie:
Any Idea who could help here?
Comment 10 Alessandro Ceschini 2013-06-07 16:47:10 UTC
Hello everybody, is there a way to get more attention to this bug? The issue is rather serious because bullets are unacceptable in fine French typography. En-dashes should be mandatory, just like angle quotes are. It's definitively not a matter of choice.
Comment 11 sophie 2013-06-07 16:56:46 UTC
(In reply to comment #9)
> Back to list due to facts.
> 
> @Sophie:
> Any Idea who could help here?

If really this is something used in every days work, then a bullet style should be set with the good one and saved in the default template.
Otherwise, that an enhancement to offer it by default in the bullet types and someone has to take care of it :) Sophie
Comment 12 Alessandro Ceschini 2013-06-07 17:02:37 UTC
(In reply to comment #11)
> (In reply to comment #9)
> > Back to list due to facts.
> > 
> > @Sophie:
> > Any Idea who could help here?
> 
> If really this is something used in every days work, then a bullet style
> should be set with the good one and saved in the default template.
> Otherwise, that an enhancement to offer it by default in the bullet types
> and someone has to take care of it :) Sophie

Is it possible to customize it right now? I don't think so. In French en-dash should be the default and indeed the only one to be allowed. A bullet is just as inappropriate as quotation marks, it's English, not French typography.
Comment 13 Alessandro Ceschini 2013-06-07 17:11:48 UTC Comment hidden (obsolete)
Comment 14 Alessandro Ceschini 2013-06-07 17:12:43 UTC
(In reply to comment #13)
> @Sophie,
> 
> Actually support for French typography is rather crappy in LibreOffice.
> Please take a look at these two other bugs I reported:
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=65515
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=65515
> 
> What about a taskforce addressing the shortcomings of LibreOffice with
> respect to French? Is it asking too much?
> 
> Best wishes,

Pardon, the other one is this:

https://bugs.freedesktop.org/show_bug.cgi?id=65405
Comment 15 sophie 2013-06-07 17:30:13 UTC
(In reply to comment #14)
> (In reply to comment #13)
> > @Sophie,
> > 
> > Actually support for French typography is rather crappy in LibreOffice.
> > Please take a look at these two other bugs I reported:
> > 
> > https://bugs.freedesktop.org/show_bug.cgi?id=65515
> > 
> > https://bugs.freedesktop.org/show_bug.cgi?id=65515
> > 
> > What about a taskforce addressing the shortcomings of LibreOffice with
> > respect to French? Is it asking too much?
> > 
> > Best wishes,
> 
> Pardon, the other one is this:
> 
> https://bugs.freedesktop.org/show_bug.cgi?id=65405

If you have this task force we would be more than happy to welcome and help your team. We don't have it or this enhancement would have been fixed earlier. Meanwhile, you should be able to customize all your styles through a template and use it as default for all your documents. Cheers Sophie.
Comment 16 Alessandro Ceschini 2013-06-07 17:43:19 UTC
OK, Sophie, please tell me how to do so because I can't see any way of altering list behaviour through templates, I only manage to customise lists one by one which is very depressing. It shall serve as a temporary workaround for other users.

Thanks
Comment 17 Timur 2016-02-23 12:04:46 UTC
If I understand well, this is not about localization or some "french bullet type" but it's rather about having simple dash bullet as 1 of 8 offered bullet types.
Comment 18 Antonio 2016-02-24 10:34:07 UTC
Same problem. It would be nice to easily change the default numbering style (either modifying it or by selecting a different one) and apply it using the default shortcut.
Comment 19 sophie 2016-02-24 12:55:08 UTC
(In reply to Timur from comment #17)
> If I understand well, this is not about localization or some "french bullet
> type" but it's rather about having simple dash bullet as 1 of 8 offered
> bullet types.

Yes and about customization, the only part related to i18n is the fact to have it as default depending on the user local. Sophie
Comment 20 peterpan 2017-03-17 08:36:59 UTC
When preparing the general template for use on multiple computers, I should be able to customize default numbering/bullet style used, when numbering/bullets button is used or LO detects automatic numbering aplicable. 
This should not need F11/styles use.
Comment 21 Cor Nouws 2017-04-07 14:05:13 UTC
(In reply to Elie Roux from comment #0)
> There is no way to change the default bullet type in LO Writer.

Indeed.
But there are 10 list styles offered, and you can modify those and create a hundred more. With settings as you like.
So what's the issue?
Comment 22 peterpan 2017-04-07 14:22:20 UTC
Surely you can modify any list style in current document. Also list style can be modified and defined in template document and later used via using stylist (F11). 
The point of this is different. In deault template you can modify font, spacing, page size and set them as default. But there is no way to modify behaviour of an template in case when automatic bullets/lists is triggered. I cannot create new template and set default numbering style. 
Consider situation, where there are more users /eg. in office/ using one template. Only way to keep bullets styles identical is to use defined ones via F11/stylist. Which is sometimes too much hassle.
Comment 23 Cor Nouws 2017-04-07 14:33:05 UTC
(In reply to peterpan from comment #20)
> When preparing the general template for use on multiple computers, I should
> be able to customize default numbering/bullet style used, when
> numbering/bullets button is used or LO detects automatic numbering
> aplicable. 
> This should not need F11/styles use.

You can assign different list styles to (Shft+)F12. So using the keys is sufficient.
And then change the toolbar, and ... Ah well, if you want to prevent the need of F11, indeed a hassle :)
Comment 24 Cor Nouws 2017-04-07 15:41:20 UTC
work around, not chique of course, is to add one paragraph in the file with the changed default bullet/number. That makes that it is saved in the file too ..
Comment 25 Mikhail Krasilnikov 2017-04-07 16:02:43 UTC
I run into this issue when trying to create template with company style for our employees. Most of them don't now (and don't want to know) how to set hot keys. When they need list, they just click icon on toolbar. So I need a way to change style for lists, created by pressing these icons.
Comment 26 peterpan 2017-04-07 18:09:03 UTC
(In reply to Mikhail Krasilnikov from comment #25)
> I run into this issue when trying to create template with company style for
> our employees. Most of them don't now (and don't want to know) how to set
> hot keys. When they need list, they just click icon on toolbar. So I need a
> way to change style for lists, created by pressing these icons.

And that is exactly also my point. Thank you for formulating it.
Comment 27 Cor Nouws 2017-04-07 20:25:42 UTC
(In reply to peterpan from comment #26)
> (In reply to Mikhail Krasilnikov from comment #25)
> > I run into this issue when trying to create template with company style for
> > our employees. Most of them don't now (and don't want to know) how to set
> > hot keys. When they need list, they just click icon on toolbar. So I need a
> > way to change style for lists, created by pressing these icons.
> 
> And that is exactly also my point. Thank you for formulating it.

Mind that for setting the default, bug 57337 is the one to follow.
Apart from that I understand you, I think the renewed split buttons make it much easier for users to make at least some choice.